/*
 *
 * Copyright  :: 1995-1999 (C)opyright Gordano Ltd
 *               All rights reserved.
 *               No copies of this source may be made without express written
 *               permission of Gordano Ltd, PO Box 79, Clevedon,
 *               North Somerset, BS21 7TQ, UK
 *
 * $Header: d:\source\data\ntmail17_01\optpack\smtpdll/mail_dll_ifc.h,v 1.3 2004/02/04 09:57:46 garrardc Exp $
 *
 * $Log: mail_dll_ifc.h,v $
 * Revision 1.3  2004/02/04  09:57:46  garrardc
 * OR 07006 - no autoresponse via mailman if virtual
 *
 * Revision 1.2  2002/04/16  14:29:54  simont
 * Messsage logging for SMS
 *
 * Revision 1.1  1999/09/15  16:58:47  garrardc
 * Initial revision
 *
 * 
 */

#ifndef _MAIL_DLL_IFC_H
#define _MAIL_DLL_IFC_H

#include <windows.h>

#include "mail_dll_type.h"

#ifdef __cplusplus
extern "C" {
#endif

#define DeliverMessage(a,b,c,d,e) ((MAIL_IFC*)TlsGetValue((DWORD)a))->deliverMessage((b),(c),(d),(e))
#define WriteToLog(a,b,c,d) ((MAIL_IFC*)TlsGetValue((DWORD)a))->writeToLog((b),(c),(d))
#define ParseMessage(a,b,c,d) ((MAIL_IFC*)TlsGetValue((DWORD)a))->parseMessage((b),(c),(d))
#define AddVariable(a,b,c) ((MAIL_IFC*)TlsGetValue((DWORD)a))->addVariable((b),(c))
#define GetVariable(a,b,c,d) ((MAIL_IFC*)TlsGetValue((DWORD)a))->getVariable((b),(c),(d))
#define SetVariable(a,b,c) ((MAIL_IFC*)TlsGetValue((DWORD)a))->setVariable((b),(c))
#define ReadClient(a,b,c) ((MAIL_IFC*)TlsGetValue((DWORD)a))->readClient((b),(c))
#define WriteClient(a,b,c) ((MAIL_IFC*)TlsGetValue((DWORD)a))->writeClient((b),(c))
#define WriteToMessageLog(a,b,c,d,e,f,g) ((MAIL_IFC*)TlsGetValue((DWORD)a))->writeToMessageLog((b),(c),(d),(e),(f),(g))
#define VerifyUserPassword(a,b,c) ((MAIL_IFC*)TlsGetValue((DWORD)a))->verifyUserPassword((b),(c))
#define QueueMessage(a,b,c,d,e) ((MAIL_IFC*)TlsGetValue((DWORD)a))->queueMessage((b),(c),(d),(e))
#define GetFilename(a,b,c,d,e) ((MAIL_IFC*)TlsGetValue((DWORD)a))->getFilename((b),(c),(d),(e))
#define SendNotification(a,b,c) ((MAIL_IFC*)TlsGetValue((DWORD)a))->sendNotification((b),(c))

#ifdef __cplusplus
}
#endif

#endif
