// Name: Whitelist
// Description: Move message to inbox and whitelist sender
// AccessRights: ALL

var allowSelf;

function gmsPlugin_allow()
{
    allowSelf = this;
}

gmsPlugin_allow.prototype.handleemail = function() { return true; };

function allowCallback(details)
{
    allowSelf.removeValues(allowSelf.updatedValues);

    if (details.responseText != "")
    {
        alert(details.responseText);
    }
}

function handleallowClick(action)
{
    ok = confirm("Are you sure you want to whitelist this sender and move to the InBox?")

    if(ok)
    {
        allowSelf.updateType = allowSelf.type;
        allowSelf.updatedValues = allowSelf.getSelectedValues();

        details = new Object();

        details.url = "/webmail/plugins/allow.mml?action=" + action + "&values=" + urlencode(allowSelf.updatedValues);
        details.method = "GET";
        details.headers = {};
        details.data = "";
        details.onload = allowCallback;

        allowSelf.xmlhttpRequest(details);
    }
}

// only show the button when in the quarantine folder.

gmsPlugin_allow.prototype.previewload = function()
{
    var option = this.getCurrentOption();

    if (option != "")
    {
        if (option.indexOf(".Quarantine") != -1)
        {
            // only show the button if a message is actually selected.
            enabled = false;
            id = this.getCurrentValue();

            if (id != "")
            {
                enabled = true;
            }

            var added = this.registerMenuCommand("Allow",   "Ctrl+Shift+W", "Whitelist and copy to Inbox",    "read.png",   "allow",   enabled, handleallowClick);

            if (added)
            {
                this.addMenuDivider();
            }
        }
    }
}