// Name: Empty Folder
// Description: Empties selected folder - only available for Trash or Quarantine
// AccessRights: ALL


var emptySelf;

function gmsPlugin_empty()
{
    emptySelf = this;
}

gmsPlugin_empty.prototype.handleemail = function() { return true; };

function emptyCallback(details)
{
    emptySelf.removeAllValues();
}

function handleemptyClick(action)
{
    
    
    ok = confirm("Are you sure you want to empty this folder?")
    if(ok)
    {	
    
    	emptySelf.updateType = emptySelf.type;
 
    	details = new Object();
    
    	details.url = "/webmail/plugins/empty.mml?" + "values=" + urlencode(emptySelf.getCurrentOption());
    	details.method = "GET";
    	details.headers = {};
    	details.data = "";
    	details.onload = emptyCallback;
	
    	emptySelf.xmlhttpRequest(details);
    
    }
}

gmsPlugin_empty.prototype.previewload = function()
{
    var option = this.getCurrentOption();

    if (option != "")
    {
        if ((option.indexOf(".Quarantine") != -1) || (option.indexOf(".Trash") != -1))
        {
            var added = this.registerMenuCommand("Empty Folder",   "Ctrl+Shift+E", "Empty Folder",    "foldertrash.png",   "empty",   true, handleemptyClick);

            if (added)
            {
                this.addMenuDivider();
            }
        }
    
 
    }
}