// Name: Unread
// Description: Move to the next unread message
// AccessRights: ALL

var unreadSelf;

function gmsPlugin_unread()
{
    unreadSelf = this;
}

gmsPlugin_unread.prototype.handleemail = function() { return true; };

function handleunreadClick(action)
{
    var currentValue = unreadSelf.getCurrentValue();
    var newValue = "";

    if (action == "prev")
    {
        newValue = unreadSelf.getPreviousUnread();
    }
    else
    {
        newValue = unreadSelf.getNextUnread();
    }

    if (newValue != "")
    {
        unreadSelf.selectValue(newValue);
    }
}

gmsPlugin_unread.prototype.getPreviousUnread = function()
{
   prevValue = unreadSelf.getCurrentValue();

   while ((prevValue = unreadSelf.getPreviousValue(prevValue)) != "")
   {
        columnValue = unreadSelf.getColumnValue(prevValue, 1);

        if (columnValue.indexOf("unread") != -1)
        {
            break;
        }
    }

    return prevValue;
}

gmsPlugin_unread.prototype.getNextUnread = function()
{
    nextValue = unreadSelf.getCurrentValue();

    while ((nextValue = unreadSelf.getNextValue(nextValue)) != "")
    {
        columnValue = unreadSelf.getColumnValue(nextValue, 1);

        if (columnValue.indexOf("unread") != -1)
        {
            break;
        }
    }

    return nextValue;
}

gmsPlugin_unread.prototype.previewload = function()
{
    prevenabled = false;
    nextenabled = false;

    id = this.getCurrentValue();

    if (id != "")
    {
        prevValue = unreadSelf.getPreviousUnread();
        nextValue = unreadSelf.getNextUnread();

        if (prevValue != "")
        {
            prevenabled = true;
        }

        if (nextValue != "")
        {
            nextenabled = true;
        }
    }

    var added = this.registerMenuCommand("", "Ctrl+Shift+P", "Previous unread message", "readprev.png", "prev", prevenabled, handleunreadClick);
    var added = this.registerMenuCommand("", "Ctrl+Shift+N", "Next unread message",     "readnext.png", "next", nextenabled, handleunreadClick);

    if (added)
    {
        this.addMenuDivider();
    }
}