VERSION 5.00
Begin VB.Form frmTest 
   Caption         =   "Form1"
   ClientHeight    =   6690
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8640
   LinkTopic       =   "Form1"
   ScaleHeight     =   6690
   ScaleWidth      =   8640
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame Frame1 
      Caption         =   "Methods"
      Height          =   3015
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   8415
      Begin VB.ListBox lstFunctions 
         Height          =   2595
         Left            =   120
         TabIndex        =   8
         Top             =   240
         Width           =   3255
      End
      Begin VB.TextBox arguments 
         Height          =   375
         Index           =   0
         Left            =   5400
         TabIndex        =   7
         Top             =   240
         Visible         =   0   'False
         Width           =   2895
      End
      Begin VB.TextBox arguments 
         Height          =   375
         Index           =   1
         Left            =   5400
         TabIndex        =   6
         Top             =   720
         Visible         =   0   'False
         Width           =   2895
      End
      Begin VB.TextBox arguments 
         Height          =   375
         Index           =   2
         Left            =   5400
         TabIndex        =   5
         Top             =   1200
         Visible         =   0   'False
         Width           =   2895
      End
      Begin VB.TextBox arguments 
         Height          =   375
         Index           =   3
         Left            =   5400
         TabIndex        =   4
         TabStop         =   0   'False
         Top             =   1680
         Visible         =   0   'False
         Width           =   2895
      End
      Begin VB.CommandButton cmdInvoke 
         Caption         =   "Invoke Interface Method"
         Height          =   375
         Left            =   5400
         TabIndex        =   3
         Top             =   2400
         Width           =   2895
      End
      Begin VB.Label argLabel 
         Height          =   375
         Index           =   0
         Left            =   3480
         TabIndex        =   12
         Top             =   240
         Width           =   1815
      End
      Begin VB.Label argLabel 
         Height          =   375
         Index           =   1
         Left            =   3480
         TabIndex        =   11
         Top             =   720
         Width           =   1815
      End
      Begin VB.Label argLabel 
         Height          =   375
         Index           =   2
         Left            =   3480
         TabIndex        =   10
         Top             =   1200
         Width           =   1815
      End
      Begin VB.Label argLabel 
         AutoSize        =   -1  'True
         Height          =   375
         Index           =   3
         Left            =   3480
         TabIndex        =   9
         Top             =   1680
         Width           =   1845
      End
   End
   Begin VB.TextBox Status 
      Height          =   3015
      Left            =   240
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Top             =   3480
      Width           =   8175
   End
   Begin VB.Frame Frame2 
      Caption         =   "Status"
      Height          =   3375
      Left            =   120
      TabIndex        =   1
      Top             =   3240
      Width           =   8415
   End
End
Attribute VB_Name = "frmTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private mail_conf As GordanoConfig
Private function_argnames As Variant

Sub Form_Initialize()

    ' -- Add all the functions to the list box --

    lstFunctions.AddItem "GUserAdd"
    lstFunctions.AddItem "GUserDel"
    lstFunctions.AddItem "GUserGetVar"
    lstFunctions.AddItem "GUserGetDir"
    lstFunctions.AddItem "GUserSetVar"
    lstFunctions.AddItem "GUserList"
    lstFunctions.AddItem "GAliasAdd"
    lstFunctions.AddItem "GAliasDel"
    lstFunctions.AddItem "GDomainAdd"
    lstFunctions.AddItem "GDomainDel"
    lstFunctions.AddItem "GDomainGetVar"
    lstFunctions.AddItem "GDomainGetDir"
    lstFunctions.AddItem "GDomainSetVar"
    lstFunctions.AddItem "GDomainList"
    lstFunctions.AddItem "GGlobalGetVar"
    lstFunctions.AddItem "GGlobalSetVar"
    lstFunctions.AddItem "GQueueGet"
    lstFunctions.AddItem "GQueueStart"
    lstFunctions.AddItem "GMessageOpen"
    lstFunctions.AddItem "GMessageAppend"
    lstFunctions.AddItem "GMessageSetHeader"
    lstFunctions.AddItem "GMessageAttach"
    lstFunctions.AddItem "GMessageAddRecipient"
    lstFunctions.AddItem "GMessageClose"

    ' -- Create the GordanoConfig COM Object

    Set mail_conf = New GordanoConfig
    
    Status.Text = "Initialized COM Interface"
    
    function_argnames = Array(Array("username", "domain name", "password", "type"), _
                              Array("username", "domain name", "type"), _
                              Array("username", "domain name", "variable name"), _
                              Array("username", "domain name", "directory"), _
                              Array("username", "domain name", "variable name", "new value"), _
                              Array("domain name"), _
                              Array("username", "domain name", "alias"), _
                              Array("username", "domain name", "alias"), _
                              Array("domain name"), _
                              Array("domain name", "delete flag"), _
                              Array("domain name", "variable name"), _
                              Array("domain name", "directory"), _
                              Array("domain name", "variable_name", "value"), _
                              Array(), _
                              Array("variable name"), _
                              Array("variable name", "value"), _
                              Array(), _
                              Array("queue"), _
                              Array("destination", "source", "subject"), _
                              Array("handle", "string"), _
                              Array("handle", "clause", "value"), _
                              Array("handle", "file name"), _
                              Array("handle", "address"), _
                              Array("handle", "closure flag"))

End Sub

Sub Form_Terminate()

    ' -- Destroy the GordanoConfig COM Object

    Set mail_conf = Nothing

End Sub

Private Sub lstFunctions_Click()

    i = lstFunctions.ListIndex
    
    For j = 0 To UBound(function_argnames(i))

        argLabel(j).Caption = function_argnames(i)(j)
        
        arguments(j).Visible = True

    Next j
    
    For j = UBound(function_argnames(i)) + 1 To 3
    
        argLabel(j).Caption = ""
        
        arguments(j).Visible = False
        
    Next j
    

End Sub

Private Sub cmdInvoke_Click()

    Select Case lstFunctions.ListIndex
    
    Case 0:
    
        mail_conf.GUserAdd arguments(0).Text, arguments(1).Text, arguments(2).Text, 1
        
        
    End Select

End Sub
