// Name: Archive
// Description: Archive selected messages to Archive folder
// AccessRights: ALL

var archiveSelf;

function gmsPlugin_archive()
{
    archiveSelf = this;
}

gmsPlugin_archive.prototype.handleemail = function() { return true; };

function archiveCallback(details)
{
    archiveSelf.removeValues(archiveSelf.updatedValues);
}

function handlearchiveClick(action)
{
    archiveSelf.updateType = archiveSelf.type;
    archiveSelf.updatedValues = archiveSelf.getSelectedValues();

    details = new Object();

    details.url = "/webmail/plugins/archive.mml?type=" + archiveSelf.updateType + "&values=" + urlencode(archiveSelf.updatedValues);
    details.method = "GET";
    details.headers = {};
    details.data = "";
    details.onload = archiveCallback;

    archiveSelf.xmlhttpRequest(details);
}

gmsPlugin_archive.prototype.previewload = function()
{
    enabled = false;

    id = this.getCurrentValue();

    if (id != "")
    {
        if (id.indexOf("Archive;") != 0)
        {
            enabled = true;
        }
    }

    var added = this.registerMenuCommand("Archive", "Ctrl+Shift+A", "Archive",  "archive.png", "archive", enabled, handlearchiveClick);

    if (added)
    {
        this.addMenuDivider();
    }

    // Over-ride the delete button
    //this.registerMenuCommand("", "Ctrl+D", "Archive",  "delete.png", "delete", enabled, handlearchiveClick);
}