// Name: Mark Mail
// Description: Mark selected messages as read or unread
// AccessRights: ALL

var markSelf;

function gmsPlugin_mark()
{
    markSelf = this;
}

gmsPlugin_mark.prototype.handleemail = function() { return true; };

function markCallback(details)
{
    markSelf.setUpdatedValues(markSelf.updateType, markSelf.updatedValues);

    markSelf.refresh();
}

function handlemarkClick(action)
{
    markSelf.updateType = markSelf.type;
    markSelf.updatedValues = markSelf.getSelectedValues();

    details = new Object();

    details.url = "/webmail/plugins/mark.mml?type=" + markSelf.type + "&action=" + action + "&values=" + urlencode(markSelf.updatedValues);
    details.method = "GET";
    details.headers = {};
    details.data = "";
    details.onload = markCallback;

    markSelf.xmlhttpRequest(details);
}

gmsPlugin_mark.prototype.previewload = function()
{
    enabled = false;

    id = this.getCurrentValue();

    if (id != "")
    {
        enabled = true;
    }

    var added = this.registerMenuCommand("Mark as read",   "Ctrl+Shift+R", "Mark message as read",    "read.png",   "read",   enabled, handlemarkClick);
    var added = this.registerMenuCommand("Mark as unread", "Ctrl+Shift+U", "Mark message as unread",  "unread.png", "unread", enabled, handlemarkClick);

    if (added)
    {
        this.addMenuDivider();
    }
}