// Name: Mimic
// Description: Mimic another well known mail client
// AccessRights: ALL

var mimicSelf;

function gmsPlugin_mimic()
{
    mimicSelf = this;
}

gmsPlugin_mimic.prototype.handleemail = function() { return false; };
gmsPlugin_mimic.prototype.handleaddressbook = function() { return false; };
gmsPlugin_mimic.prototype.handlecalendar = function() { return false; };
gmsPlugin_mimic.prototype.handletasks = function() { return false; };
gmsPlugin_mimic.prototype.handlenotes = function() { return false; };

gmsPlugin_mimic.prototype.treeload = function()
{
    if (mimicSelf.getCurrentPanel() == "mail" || mimicSelf.getCurrentPanel() == "folders")
    {
        var node = mimicSelf.getSelectedTreeNode();

        mimicSelf.removeTreeNode("GMS WebMail.Mail.Search Results");

        mimicSelf.sortTreeNode ("GMS WebMail.Mail", "ASC");

        mimicSelf.addTreeNodeChild("Search Results", "foldersearch.png", "GMS WebMail.Mail.Search Results", "Mail", undefined, "GMS WebMail.Mail");

        if (node == "GMS WebMail.Mail.Search Results")
        {
            mimicSelf.setSelectedTreeNode(node);
        }
    }
}

gmsPlugin_mimic.prototype.panelload = function()
{
    if (this.existPanelButton("addressbook"))
    {
        this.addPanelButton("Contacts", "Ctrl+3", "addressbook.png", "addressbook");
    }


    if (this.existPanelButton("folders"))
    {
        this.addPanelButton("Folder List", "Ctrl+7", "folders.png", "folders");
    }

    this.monitorPanelButton("mail", true);
    this.monitorPanelButton("addressbook", false);
}
